import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaSensorItem } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorItemService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaSensorItem[]> {
    return this.rpcService.call('MetaSensorItemService.readAll');
  }
}
